ssh::SshException(3)

NAME
ssh::SshException - Some people do not like C++ exceptions.

SYNOPSIS

#include <include/libssh/libsshpp.hpp>

  Public Member Functions
int getCode ()
returns the Error code
std::string getError ()
returns the error message of the last exception

Detailed Description

Some people do not like C++ exceptions. With this define, we give the choice to use or not exceptions. if defined, disable C++ exceptions for libssh c++ wrapperThis class describes a SSH Exception object. This object can be thrown by several SSH functions that interact with the network, and may fail because of socket, protocol or memory errors.

Member Function Documentation

  int ssh::SshException::getCode () [inline]

returns the Error code

Returns:
    SSH_FATAL Fatal error happened (not recoverable)

    SSH_REQUEST_DENIED Request was denied by remote host

See also:
    ssh_get_error_code

  std::string ssh::SshException::getError () [inline]

returns the error message of the last exception

Returns:
    pointer to a c string containing the description of error

See also:
    ssh_get_error

Author

Generated automatically by Doxygen for libssh from the source code.